package com.pesets.game.skills;

import com.pesets.game.Enemy;
import com.pesets.game.Player;
import com.pesets.resources.ResourceManager;

public class SkillSlash extends Skill {

	@Override
	public void cast(Player player, Enemy target) {
		int damage = (int) (player.getStrength() * 0.3f * getLevel());
		target.skillHit(player, damage, 0, 0);
		ResourceManager.getInstance().playSound("sword.mp3");
	}

	@Override
	public String getName() {
		return "Power slash";
	}

	@Override
	public ActEvent getEvent() {
		return ActEvent.Cast;
	}

	@Override
	public int getIcon() {
		return 0;
	}

	@Override
	public float getMaxColdown() {
		return 5f;
	}
	
	@Override
	public String getDescription() {
		return "Deals (strength * 0.3 * level) damage\nColdown: 5 sec";
	}

}
